Page MenuHomePhabricator

lit: Use a License classifier that pypi will accept
ClosedPublic

Authored by tstellar on Aug 5 2019, 11:29 AM.

Details

Summary

'OSI Approved :: Apache-2.0 with LLVM exception' is not a valid
classifier. 'OSI Approved :: Apache Software License' is the closest
fit for the new license, so we've decided to use this one.

The classifiers seem to only be used for searching on the pypi website,
so this does not actually change the license of the code.
We still pass 'Apache-2.0 with LLVM exception' as the license to setup(),
and this appears alongside the classifier on the pypi webpage for lit.

Diff Detail

Repository
rL LLVM

Event Timeline

tstellar created this revision.Aug 5 2019, 11:29 AM
Herald added a project: Restricted Project. · View Herald TranscriptAug 5 2019, 11:29 AM
Herald added a subscriber: delcypher. · View Herald Transcript
tstellar updated this revision to Diff 213419.Aug 5 2019, 11:30 AM

Remove accidental version bump.

tstellar updated this revision to Diff 213915.Aug 7 2019, 8:39 AM

Change license classifier to: OSI Approved :: Apache Software License
as suggested by Joerg on IRC.

tstellar edited the summary of this revision. (Show Details)
tstellar updated this revision to Diff 213918.Aug 7 2019, 8:49 AM

Add missing comma.

joerg accepted this revision.Aug 7 2019, 1:17 PM

Thanks, this looks good enough within the limitations of the framework.

This revision is now accepted and ready to land.Aug 7 2019, 1:17 PM
This revision was automatically updated to reflect the committed changes.